<!doctype html>
<html>

<head>
    <meta charset="utf-8">
    <title>Documento sin título</title>
    <link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
    <link href="objetos.css" rel="stylesheet" type="text/css">
    <script src="o2.js"></script>
</head>

<body>
    <div class="cajas entrada">
        <pre>
/* Vamos a crear una clase */

var caja=function(){
	// propiedades publicas
	this.ancho=0;
	this.alto=0;
	this.texto="vacio";
	//metodos publicos
	this.mensaje=function(){
		this.texto="esto es un ejemplo";
	};
	this.mostrar=function(){
		alert(this.texto);
	};
};
</pre>
    </div>
    <div class="cajas salida">
        <div class="titulo">Ejemplo 2
        </div>
        <div class="explicacion">
            La forma de crear miembros publicos dentro de una clase es muy sencilla, creamos variables con la palabra this delante.
        </div>
    </div>
</body>

</html>